name: Build
run-name: CI/CD website
on: 
  #push:
  #  branches:
  #    - main
  #    - dev
  pull_request:
    types: [opened, synchronize, reopened]
    branches:
      - main
      - dev

jobs:
  build-check:
    runs-on: ubuntu-latest
    steps:
      - name: Check out repository code
        uses: actions/checkout@v4
      - name: Use Node.js
        uses: actions/setup-node@v4
        with:
          node-version: '24.x'     
      - name: Install dependencies
        run: |
          cd banquise-website
          npm ci
      - name: Building
        run: |
          cd banquise-website
          npm run build
